org.hibernate.search.cfg

## Class ClassBridgeMapping

- java.lang.Object
- - org.hibernate.search.cfg.ClassBridgeMapping

-     public class ClassBridgeMapping
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassBridgeMapping(SearchMapping mapping, EntityDescriptor entity, Class<?> impl)`
    `ClassBridgeMapping(SearchMapping mapping, EntityDescriptor entity, FieldBridge instance)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClassBridgeMapping` | `analyze(Analyze analyze)`
    `ClassBridgeMapping` | `analyzer(Class<?> analyzerClass)`
    `ClassBridgeMapping` | `analyzer(String analyzerDef)`
    `AnalyzerDefMapping` | `analyzerDef(String name, Class<? extends TokenizerFactory> tokenizerFactory)`
    `AnalyzerDefMapping` | `analyzerDef(String name, String tokenizerName, Class<? extends TokenizerFactory> tokenizerFactory)`
    `ClassBridgeMapping` | `boost(float boost)`
    `ClassBridgeMapping` | `classBridge(Class<?> impl)`
    `ClassBridgeMapping` | `classBridgeInstance(FieldBridge instance)` Registers the given class bridge for the currently configured entity type.
    `EntityMapping` | `entity(Class<?> entityType)`
    `FullTextFilterDefMapping` | `fullTextFilterDef(String name, Class<?> impl)`
    `ClassBridgeMapping` | `index(Index index)`
    `IndexedMapping` | `indexed()`
    `ClassBridgeMapping` | `name(String name)`
    `NormalizerDefMapping` | `normalizerDef(String name)`
    `ClassBridgeMapping` | `norms(Norms norms)`
    `ClassBridgeMapping` | `param(String name, String value)`
    `PropertyMapping` | `property(String name, ElementType type)`
    `ProvidedIdMapping` | `providedId()`
    `ClassBridgeMapping` | `store(Store store)`
    `ClassBridgeMapping` | `termVector(TermVector termVector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassBridgeMapping

          public ClassBridgeMapping(SearchMapping mapping,
                                    EntityDescriptor entity,
                                    Class<?> impl)

    - #### ClassBridgeMapping

          public ClassBridgeMapping(SearchMapping mapping,
                                    EntityDescriptor entity,
                                    FieldBridge instance)

  - ### Method Detail

    - #### name

          public ClassBridgeMapping name(String name)

    - #### store

          public ClassBridgeMapping store(Store store)

    - #### index

          public ClassBridgeMapping index(Index index)

    - #### analyze

          public ClassBridgeMapping analyze(Analyze analyze)

    - #### norms

          public ClassBridgeMapping norms(Norms norms)

    - #### termVector

          public ClassBridgeMapping termVector(TermVector termVector)

    - #### boost

          public ClassBridgeMapping boost(float boost)

    - #### analyzer

          public ClassBridgeMapping analyzer(Class<?> analyzerClass)

    - #### analyzer

          public ClassBridgeMapping analyzer(String analyzerDef)

    - #### param

          public ClassBridgeMapping param(String name,
                                          String value)

    - #### classBridge

          public ClassBridgeMapping classBridge(Class<?> impl)

    - #### classBridgeInstance

          public ClassBridgeMapping classBridgeInstance(FieldBridge instance)

      Registers the given class bridge for the currently configured entity type. Any subsequent analyzer, parameter etc. configurations apply to this class bridge.
      Parameters:
        `instance` - a class bridge instance
      Returns:
        a new `ClassBridgeMapping` following the method chaining pattern
      Throws:
        `SearchException` - in case the same bridge instance is passed more than once for the currently configured entity type
      Experimental
        This method is considered experimental and it may be altered or removed in future releases

    - #### fullTextFilterDef

          public FullTextFilterDefMapping fullTextFilterDef(String name,
                                                            Class<?> impl)

    - #### property

          public PropertyMapping property(String name,
                                          ElementType type)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### analyzerDef

          public AnalyzerDefMapping analyzerDef(String name,
                                                String tokenizerName,
                                                Class<? extends TokenizerFactory> tokenizerFactory)

    - #### normalizerDef

          public NormalizerDefMapping normalizerDef(String name)

    - #### entity

          public EntityMapping entity(Class<?> entityType)

    - #### providedId

          public ProvidedIdMapping providedId()

    - #### indexed

          public IndexedMapping indexed()

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved